"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.builder = exports.describe = exports.aliases = exports.command = exports.handler = void 0;
const fs = __importStar(require("fs"));
const path = __importStar(require("path"));
const chalk_1 = __importDefault(require("chalk"));
const util_1 = require("util");
const command_handler_1 = __importDefault(require("../../command-handler"));
const std_1 = require("../../utils/std");
const readFile = (0, util_1.promisify)(fs.readFile);
exports.handler = (0, command_handler_1.default)(async ({ client }, params) => {
    const { 'certificate-file': certificateFile, 'key-file': keyFile, 'chain-file': chainFile, id: certificateId, } = params;
    const [certificate, key, chain] = await Promise.all([
        readFile(path.join(process.cwd(), certificateFile), 'utf8'),
        readFile(path.join(process.cwd(), keyFile), 'utf8'),
        chainFile == null
            ? Promise.resolve(undefined)
            : readFile(path.join(process.cwd(), chainFile), 'utf8'),
    ]);
    const newCertificateId = await client.ensureCertificate({
        certificate,
        key,
        chain,
        certificateId,
    });
    std_1.logger.success(`The certificate "${newCertificateId}" successfully ensured`);
});
exports.command = 'ensure';
exports.aliases = ['import', 'issue'];
exports.describe = chalk_1.default.green('upload a new SSL certificate and print its id or replace an existing one by id');
const builder = (yargs) => yargs
    .option('certificate-file', {
    alias: 'crt',
    describe: 'a PEM-encoded file containing a certificate',
    type: 'string',
    demand: 'a certificate file is required',
})
    .option('key-file', {
    alias: 'key',
    describe: "a PEM-encoded file containing a certificate's private key",
    type: 'string',
    demand: 'a certificate private key file is required',
})
    .option('chain-file', {
    alias: 'chain',
    describe: 'a PEM-encoded file containing a certificate chain',
    type: 'string',
})
    .option('id', {
    describe: "the certificate's identifier that you want to replace",
    type: 'string',
})
    .group(['certificate-file', 'key-file', 'chain-file', 'id'], 'Options:');
exports.builder = builder;
//# sourceMappingURL=ensure.js.map