"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.builder = exports.describe = exports.aliases = exports.command = exports.handler = void 0;
const chalk_1 = __importDefault(require("chalk"));
const command_handler_1 = __importDefault(require("../../command-handler"));
const std_1 = require("../../utils/std");
exports.handler = (0, command_handler_1.default)(async ({ client }, params) => {
    const { id: certificateId } = params;
    await client.dropCertificate({
        certificateId,
    });
    std_1.logger.success(`The certificate "${certificateId}" successfully deleted`);
});
exports.command = 'remove <id>';
exports.aliases = ['drop', 'delete', 'rm'];
exports.describe = chalk_1.default.green('remove an existing SSL certificate by its id');
const builder = (yargs) => yargs.positional('id', {
    describe: chalk_1.default.green('certificate id'),
    type: 'string',
});
exports.builder = builder;
//# sourceMappingURL=remove.js.map