"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.builder = exports.describe = exports.aliases = exports.command = exports.handler = void 0;
const chalk_1 = __importDefault(require("chalk"));
const command_handler_1 = __importDefault(require("../../command-handler"));
exports.handler = (0, command_handler_1.default)(async ({ client }, params) => {
    const { deploymentId, domain } = params;
    await client.setDeploymentDomain({
        deploymentId,
        domain,
    });
});
exports.command = 'assign <domain> <deployment-id>';
exports.aliases = ['bind'];
exports.describe = chalk_1.default.green('bind domain to the existing deployment');
const builder = (yargs) => yargs
    .positional('domain', {
    describe: chalk_1.default.green('an existing custom domain name in fully qualified format (e.g. store.root-domain.org)'),
    type: 'string',
})
    .positional('deployment-id', {
    describe: chalk_1.default.green("an existing deployment's id"),
    type: 'string',
});
exports.builder = builder;
//# sourceMappingURL=assign.js.map