"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.builder = exports.describe = exports.aliases = exports.command = exports.handler = void 0;
const columnify_1 = __importDefault(require("columnify"));
const chalk_1 = __importDefault(require("chalk"));
const command_handler_1 = __importDefault(require("../../command-handler"));
const std_1 = require("../../utils/std");
exports.handler = (0, command_handler_1.default)(async ({ client }) => {
    const domains = await client.listDomains();
    (0, std_1.out)((0, columnify_1.default)(domains.map(({ domainId, certificateId, verified, aliases, users, domainName }) => {
        return {
            'domain-id': domainId,
            'domain-name': domainName,
            'certificate-id': certificateId,
            verified,
            aliases: aliases.join(','),
            'users-access': Array.isArray(users) ? users.join(',') : users,
        };
    }), {
        minWidth: 10,
        truncate: true,
        columns: ['domain-id', 'aliases', 'verified', 'certificate-id', 'domain-name'],
    }));
});
exports.command = 'list';
exports.aliases = ['ls', '$0'];
exports.describe = chalk_1.default.green("display a list of the user's domains");
const builder = () => { };
exports.builder = builder;
//# sourceMappingURL=list.js.map