"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.builder = exports.describe = exports.aliases = exports.command = exports.handler = void 0;
const chalk_1 = __importDefault(require("chalk"));
const command_handler_1 = __importDefault(require("../../command-handler"));
exports.handler = (0, command_handler_1.default)(async ({ client }, params) => {
    const { deploymentId, variables } = params;
    await client.removeEnvironmentVariables({
        deploymentId,
        variables,
    });
});
exports.command = 'remove <deployment-id> <variables...>';
exports.aliases = ['rm'];
exports.describe = chalk_1.default.green('remove environment variables');
const builder = (yargs) => yargs
    .positional('deployment-id', {
    describe: chalk_1.default.green("an existing deployment's id"),
    type: 'string',
})
    .positional('variables', {
    describe: chalk_1.default.green('a list of environment variables names'),
    type: 'array',
});
exports.builder = builder;
//# sourceMappingURL=remove.js.map