"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.builder = exports.describe = exports.command = exports.handler = void 0;
const dotenv_1 = __importDefault(require("dotenv"));
const chalk_1 = __importDefault(require("chalk"));
const command_handler_1 = __importDefault(require("../../command-handler"));
exports.handler = (0, command_handler_1.default)(async ({ client }, params) => {
    const { deploymentId, variables } = params;
    await client.setEnvironmentVariables({
        deploymentId,
        variables: dotenv_1.default.parse(Buffer.from(variables.join('\n'))),
    });
});
exports.command = `set <deployment-id> <variables...>`;
exports.describe = chalk_1.default.green('set environment variables');
const builder = (yargs) => yargs
    .positional('deployment-id', {
    describe: chalk_1.default.green("an existing deployment's id"),
    type: 'string',
})
    .positional('variables', {
    describe: chalk_1.default.green('a list of key=value pairs'),
    type: 'array',
});
exports.builder = builder;
//# sourceMappingURL=set.js.map