"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.builder = exports.describe = exports.aliases = exports.command = exports.handler = void 0;
const chalk_1 = __importDefault(require("chalk"));
const command_handler_1 = __importDefault(require("../../command-handler"));
const std_1 = require("../../utils/std");
exports.handler = (0, command_handler_1.default)(async ({ client }, params) => {
    const { 'event-store-id': eventStoreId } = params;
    await client.dropEventStore({
        eventStoreId,
    });
    std_1.logger.success(`Event store has been removed`);
});
exports.command = 'remove <event-store-id>';
exports.aliases = ['drop', 'delete', 'rm'];
exports.describe = chalk_1.default.green('remove an event store');
const builder = (yargs) => yargs.positional('event-store-id', {
    describe: chalk_1.default.green("an existing event store's id"),
    type: 'string',
});
exports.builder = builder;
//# sourceMappingURL=remove.js.map