"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.builder = exports.describe = exports.command = exports.handler = void 0;
const chalk_1 = __importDefault(require("chalk"));
const command_handler_1 = __importDefault(require("../../command-handler"));
const std_1 = require("../../utils/std");
exports.handler = (0, command_handler_1.default)(async ({ client }, params) => {
    const { 'event-store-id': eventStoreId, 'deployment-id': deploymentId } = params;
    await client.unlinkDeployment({
        eventStoreId,
        deploymentId,
    });
    std_1.logger.success(`Unlink ${eventStoreId} to ${deploymentId} successfully completed!`);
});
exports.command = 'unlink <event-store-id> <deployment-id>';
exports.describe = chalk_1.default.green('unlink event store from deployment');
const builder = (yargs) => yargs
    .positional('event-store-id', {
    describe: chalk_1.default.green("an existing event store's id"),
    type: 'string',
})
    .positional('deployment-id', {
    describe: chalk_1.default.green("an existing deployment's id"),
    type: 'string',
});
exports.builder = builder;
//# sourceMappingURL=unlink.js.map