"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.describe = exports.command = exports.handler = void 0;
const inquirer_1 = __importDefault(require("inquirer"));
const chalk_1 = __importDefault(require("chalk"));
const auth_1 = require("../api/auth");
const command_handler_1 = __importDefault(require("../command-handler"));
exports.handler = (0, command_handler_1.default)(async ({ client }, params) => {
    const { Username: username, Password: password } = await inquirer_1.default.prompt([
        {
            type: 'input',
            name: 'Username',
            message: 'Enter your email',
            filter: (input) => input.trim(),
        },
        {
            type: 'password',
            name: 'Password',
            message: 'Enter password',
            mask: '*',
        },
    ]);
    const { clientId, userPoolId } = await client.getClientAppConfig();
    await (0, auth_1.login)({
        userPoolId,
        clientId,
        username,
        password,
    });
});
exports.command = 'login';
exports.describe = chalk_1.default.green('interactively authenticate and authorize in the reSolve cloud platform');
//# sourceMappingURL=login.js.map