"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.builder = exports.describe = exports.command = exports.handler = void 0;
const chalk_1 = __importDefault(require("chalk"));
const command_handler_1 = __importDefault(require("../../command-handler"));
const std_1 = require("../../utils/std");
exports.handler = (0, command_handler_1.default)(async ({ client }, params) => {
    const { deploymentId, 'log-level': logLevel, scope } = params;
    await client.enableLogs({
        deploymentId,
        logLevel,
        scope,
    });
    std_1.logger.success(`Logs for application "${deploymentId}" successfully enabled`);
});
exports.command = 'enable <deployment-id>';
exports.describe = chalk_1.default.green('enable application logs');
const builder = (yargs) => yargs
    .positional('deployment-id', {
    describe: chalk_1.default.green("an existing deployment's id"),
    type: 'string',
})
    .option('log-level', {
    alias: 'lvl',
    describe: 'available levels: [ log, error, warn, debug, info, verbose ]',
    type: 'string',
})
    .option('scope', {
    alias: 's',
    describe: 'the scope for logs',
    type: 'string',
})
    .group(['log-level', 'scope'], 'Options:');
exports.builder = builder;
//# sourceMappingURL=enable.js.map