"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.builder = exports.describe = exports.command = exports.handler = void 0;
const chalk_1 = __importDefault(require("chalk"));
const command_handler_1 = __importDefault(require("../../command-handler"));
exports.handler = (0, command_handler_1.default)(async ({ client }, params) => {
    const { deploymentId, readmodel: readModelName } = params;
    await client.pauseReadModel({ deploymentId, readModelName });
});
exports.command = 'pause <deployment-id> <readmodel>';
exports.describe = chalk_1.default.green('pause read model updates');
const builder = (yargs) => yargs
    .positional('deployment-id', {
    describe: chalk_1.default.green("an existing deployment's id"),
    type: 'string',
})
    .positional('readmodel', {
    describe: chalk_1.default.green("an existing read model's name"),
    type: 'string',
});
exports.builder = builder;
//# sourceMappingURL=pause.js.map