"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.builder = exports.describe = exports.command = exports.handler = void 0;
const chalk_1 = __importDefault(require("chalk"));
const command_handler_1 = __importDefault(require("../../../command-handler"));
const std_1 = require("../../../utils/std");
exports.handler = (0, command_handler_1.default)(async ({ client }, params) => {
    const { deploymentId, saga: sagaName, property: key } = params;
    const result = await client.getSagaProperty({
        deploymentId,
        sagaName,
        key,
    });
    (0, std_1.out)(result);
});
exports.command = `get <deployment-id> <saga> <property>`;
exports.describe = chalk_1.default.green('show a property');
const builder = (yargs) => yargs
    .positional('deployment-id', {
    describe: chalk_1.default.green("an existing deployment's id"),
    type: 'string',
})
    .positional('saga', {
    describe: chalk_1.default.green("an existing saga's name"),
    type: 'string',
})
    .positional('property', {
    describe: chalk_1.default.green('property name'),
    type: 'string',
});
exports.builder = builder;
//# sourceMappingURL=get.js.map