"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.builder = exports.describe = exports.command = exports.handler = void 0;
const chalk_1 = __importDefault(require("chalk"));
const command_handler_1 = __importDefault(require("../../command-handler"));
const std_1 = require("../../utils/std");
exports.handler = (0, command_handler_1.default)(async ({ client }, params) => {
    const { deploymentId, 'trace-id': traceId } = params;
    const result = await client.getTracingDetails({
        deploymentId,
        traceIds: traceId.split(','),
    });
    (0, std_1.out)(JSON.stringify(result, null, 2));
});
exports.command = 'get <deployment-id> <traceId>';
exports.describe = chalk_1.default.green("retrieve an application's performance trace from the cloud");
const builder = (yargs) => yargs
    .positional('deployment-id', {
    describe: chalk_1.default.green("an existing deployment's id"),
    type: 'string',
})
    .positional('trace-id', {
    describe: chalk_1.default.green("a trace's id"),
    type: 'string',
});
exports.builder = builder;
//# sourceMappingURL=get.js.map