"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.builder = exports.describe = exports.command = exports.handler = void 0;
const chalk_1 = __importDefault(require("chalk"));
const command_handler_1 = __importDefault(require("../../command-handler"));
const std_1 = require("../../utils/std");
exports.handler = (0, command_handler_1.default)(async ({ client }, params) => {
    const { deploymentId } = params;
    const result = await client.getTracingStatus({ deploymentId });
    std_1.logger.info(`Performance tracing status: "${result}"`);
});
exports.command = 'status <deployment-id>';
exports.describe = chalk_1.default.green("retrieve an application's performance tracing status");
const builder = (yargs) => yargs.positional('deployment-id', {
    describe: chalk_1.default.green("an existing deployment's id"),
    type: 'string',
});
exports.builder = builder;
//# sourceMappingURL=status.js.map