"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const latest_version_1 = __importDefault(require("latest-version"));
const chalk_1 = __importDefault(require("chalk"));
const semver_1 = require("semver");
const config = __importStar(require("./config"));
const std_1 = require("./utils/std");
const { version, name } = require('../package.json');
const verbosityLevels = {
    silent: -1,
    normal: 3,
    debug: 4,
    trace: 5,
};
const checkForUpdates = async () => {
    const availableVersion = await (0, latest_version_1.default)(name);
    if ((0, semver_1.gt)(availableVersion, version)) {
        std_1.logger.warn(chalk_1.default.yellowBright(`New version ${chalk_1.default.green(availableVersion)} of the package is available. It is highly recommended to upgrade.`));
    }
};
const middleware = async (params) => {
    const { verbose, verbosity, apiUrl: apiUrlFromCLI } = params;
    const actualVerbosity = verbosity || (verbose ? 'debug' : 'normal');
    std_1.logger.level = (verbosityLevels[actualVerbosity] || verbosityLevels.normal);
    const configApiUrl = config.get('api_url');
    const apiUrl = apiUrlFromCLI != null
        ? apiUrlFromCLI
        : process.env.RESOLVE_API_URL != null
            ? process.env.RESOLVE_API_URL
            : 'https://api.resolve.sh';
    if (configApiUrl !== apiUrl) {
        config.set('api_url', apiUrl);
        config.del('auth.client_id');
        config.del('auth.user_pool_id');
        config.del('credentials.token');
    }
    std_1.logger.trace(`Config: ${JSON.stringify({
        api_url: config.get('api_url'),
        'auth.client_id': config.get('auth.client_id'),
        'auth.user_pool_id': config.get('auth.user_pool_id'),
    }, null, 2)}`);
    await checkForUpdates();
};
exports.default = middleware;
//# sourceMappingURL=middleware.js.map