#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.staticZipPath = exports.codeZipPath = void 0;
const yarn_1 = require("./yarn");
const zip_1 = __importDefault(require("./zip"));
const symlinks_1 = __importDefault(require("./symlinks"));
const std_1 = require("../utils/std");
exports.codeZipPath = `code.zip`;
exports.staticZipPath = `static.zip`;
const main = async (configuration, applicationName) => {
    std_1.logger.start(`building the "${applicationName}" application for deploying to the cloud`);
    const { serverPath, clientPath } = await (0, yarn_1.build)(configuration);
    std_1.logger.trace('installing cloud dependencies...');
    await (0, symlinks_1.default)(serverPath);
    std_1.logger.trace('zipping...');
    await Promise.all([(0, zip_1.default)(serverPath, exports.codeZipPath), (0, zip_1.default)(clientPath, exports.staticZipPath)]);
    std_1.logger.success('Resolve app built');
};
exports.default = main;
//# sourceMappingURL=index.js.map