"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.build = void 0;
const fs = __importStar(require("fs"));
const path = __importStar(require("path"));
const child_process_1 = require("child_process");
const yarn = /^win/.test(process.platform) ? 'yarn.cmd' : 'yarn';
const build = async (configuration) => {
    let script = `${yarn} `;
    if (configuration != null) {
        script += configuration;
    }
    await (0, child_process_1.execSync)(script, {
        env: process.env,
        stdio: 'inherit',
    });
    const serverPath = path.resolve('dist/common/cloud-entry');
    const pkgPath = path.join(serverPath, 'package.json');
    const pkg = JSON.parse(fs.readFileSync(pkgPath).toString('utf8'));
    pkg.dependencies['aws-xray-sdk-core'] = '^3.2.0';
    fs.writeFileSync(pkgPath, JSON.stringify(pkg, null, 2));
    return {
        serverPath,
        clientPath: path.resolve('dist/client'),
    };
};
exports.build = build;
//# sourceMappingURL=yarn.js.map