"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const archiver_1 = __importDefault(require("archiver"));
exports.default = (path, name) => {
    const stream = fs_1.default.createWriteStream(name);
    const archive = (0, archiver_1.default)('zip', {
        zlib: { level: 9 },
    });
    const result = new Promise((resolve, reject) => {
        archive.on('error', reject);
        stream.on('close', () => resolve(archive.pointer()));
    });
    archive.directory(path, false); // append files from a serverPath, putting its contents at the root of archive
    archive.pipe(stream);
    archive.finalize();
    return result;
};
//# sourceMappingURL=zip.js.map