"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unset = exports.set = exports.get = void 0;
function get(object, deepKey) {
    if (deepKey === '') {
        return object;
    }
    const selector = deepKey.split('.');
    return selector.reduce((xs, x) => (xs != null && xs[x] != null ? xs[x] : null), object);
}
exports.get = get;
function set(object, deepKey, value) {
    const selectorFull = deepKey.split('.');
    const selector = selectorFull.slice(0, -1);
    const lastKey = selectorFull.slice(-1)[0];
    const obj = selector.reduce((xs, x) => {
        if (xs != null) {
            if (xs[x] === undefined) {
                xs[x] = {};
            }
            return xs[x] != null ? xs[x] : null;
        }
        return null;
    }, object);
    if (obj != null && lastKey != null) {
        obj[lastKey] = value;
    }
}
exports.set = set;
function unset(object, deepKey) {
    const selectorFull = deepKey.split('.');
    const selector = selectorFull.slice(0, -1);
    const lastKey = selectorFull.slice(-1)[0];
    const obj = get(object, selector.join('.'));
    if (obj != null && lastKey != null) {
        delete obj[lastKey];
    }
}
exports.unset = unset;
//# sourceMappingURL=config-helpers.js.map