"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_fetch_1 = __importDefault(require("node-fetch"));
const resolve_cloud_sdk_1 = require("resolve-cloud-sdk");
exports.default = async (url, init, expectedStatuses = []) => {
    for (;;) {
        try {
            const res = await (0, node_fetch_1.default)(url, init);
            if (!res.ok && !expectedStatuses.includes(res.status)) {
                throw new Error(await res.text());
            }
            return res;
        }
        catch (error) {
            if ((0, resolve_cloud_sdk_1.isRetryable)({
                errorText: `${error}`,
                baseUrl: url,
                method: init.method ?? 'GET',
            })) {
                continue;
            }
            throw error;
        }
    }
};
//# sourceMappingURL=fetch.js.map