"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatEvent = exports.renderByTemplate = exports.enableLogger = exports.disableLogger = exports.logger = exports.err = exports.out = void 0;
const consola_1 = __importDefault(require("consola"));
const mustache_1 = __importDefault(require("mustache"));
const dateformat_1 = __importDefault(require("dateformat"));
const utils = __importStar(require("util"));
const { render } = mustache_1.default;
mustache_1.default.escape = (v) => v;
const out = (content) => console.log(content);
exports.out = out;
const err = (content) => console.error(content);
exports.err = err;
// eslint-disable-next-line import/no-mutable-exports
exports.logger = consola_1.default;
const disableLogger = () => {
    const emptyFunction = () => { };
    exports.logger = {
        fatal: consola_1.default.fatal,
        error: consola_1.default.error,
        warn: emptyFunction,
        log: emptyFunction,
        info: emptyFunction,
        start: emptyFunction,
        success: emptyFunction,
        ready: emptyFunction,
        debug: emptyFunction,
        trace: emptyFunction,
    };
};
exports.disableLogger = disableLogger;
const enableLogger = () => {
    exports.logger = consola_1.default;
};
exports.enableLogger = enableLogger;
// Just a proposal! --format={{ json }} dumps result as JSON with all the context
const createView = (view) => ({
    ...view,
    json: function thisToJSON() {
        return JSON.stringify(this);
    },
});
const renderByTemplate = (template, view) => {
    if (template != null && template?.length > 0) {
        const result = render(template, createView(view));
        if (result.trim().length === 0) {
            throw new Error(`Formatting failed: ${template}`);
        }
        (0, exports.out)(result);
        return true;
    }
    return false;
};
exports.renderByTemplate = renderByTemplate;
const formatEvent = (event) => {
    try {
        return event
            ? `${event.type !== 'Init' ? (0, dateformat_1.default)(new Date(event.timestamp), 'm/d/yy HH:MM:ss') : ''} ${event.type}`
            : 'N\\A';
    }
    catch (error) {
        setImmediate(() => exports.logger.trace('Bad event:', utils.inspect(event, undefined, null)));
        return `${error}`;
    }
};
exports.formatEvent = formatEvent;
//# sourceMappingURL=std.js.map